Package org.eclipse.cdt.utils.debug

## Class DebugEnumField

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugEnumField

    public class DebugEnumField
    extends Object

DebugEnumField

### Constructor Summary

Constructors
`DebugEnumField​(String name, int value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`int` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugEnumField

    public DebugEnumField​(String name,
                          int value)

### Method Detail

#### getName

    public String getName()

#### getValue

    public int getValue()